Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingGetBlockInfo

Gets the neighbor information

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingGetBlockInfo(ISLocalToGlobalMapping mapping, PetscInt *nproc, PetscInt *procs[], PetscInt *numprocs[], PetscInt **indices[])

Collective the first time it is called

## Input Parameter

- mapping - the mapping from local to global indexing

## Output Parameters

- nproc - number of processes that are connected to the calling process

- procs - neighboring processes

- numprocs - number of block indices for each process

- indices - block indices (in local numbering) shared with neighbors (sorted by global numbering)

## See Also

Low-level Vector Communication, `ISLocalToGlobalMappingDestroy()`, `ISLocalToGlobalMappingCreateIS()`, `ISLocalToGlobalMappingCreate()`, `ISLocalToGlobalMappingRestoreBlockInfo()`, `ISLocalToGlobalMappingGetBlockMultiLeavesSF()`

## Level

advanced

## Location

src/vec/is/utils/isltog.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages